<?php


use App\Http\Controllers\storeprice;


/*
ROUTE::GET('/storeprice/index/{store}',[storeprice::class,'storepriceindex'])->name('store.price.index');
ROUTE::MATCH(['POST','GET'],'/storeprice/itemlist/{store}',[storeprice::class,'storepriceitemlist'])->name('storeprice.itemlist');
ROUTE::MATCH(['POST','GET'],'/storeprice/itemprice/create/{store}/{item}',[storeprice::class,'createstorepriceitem'])->name('createstoreprice.itemlist');
ROUTE::POST('/storeprice/save/{store}/{item}',[storeprice::class,'storepriceitemsave'])->name('storeprice.item.save');

ROUTE::POST('/storeprice/delete/{store}/{item}',[storeprice::class,'storepriceitemdelete'])->name('storeprice.item.delete');
ROUTE::POST('/storeprice/edit/{store}/{item}',[storeprice::class,'storepriceitemedit'])->name('storeprice.item.edit');


ROUTE::POST('/storeprice/update/{store}/{item}',[storeprice::class,'storepriceitemupdate'])->name('storeprice.item.update');

ROUTE::RESOURCE('/storeprice',storeprice::class);
*/

Route::middleware('auth')->group(function(){
    Route::controller(storeprice::class)->group(function(){
        ROUTE::GET('/storeprice/index/{store}','storepriceindex')->name('store.price.index');
        ROUTE::MATCH(['POST','GET'],'/storeprice/itemlist/{store}','storepriceitemlist')->name('storeprice.itemlist');
        ROUTE::MATCH(['POST','GET'],'/storeprice/itemprice/create/{store}/{item}','createstorepriceitem')->name('createstoreprice.itemlist');
        ROUTE::POST('/storeprice/save/{store}/{item}','storepriceitemsave')->name('storeprice.item.save');
        ROUTE::POST('/storeprice/delete/{store}/{item}','storepriceitemdelete')->name('storeprice.item.delete');
        ROUTE::POST('/storeprice/edit/{store}/{item}','storepriceitemedit')->name('storeprice.item.edit');
        ROUTE::POST('/storeprice/update/{store}/{item}','storepriceitemupdate')->name('storeprice.item.update');
    });
    ROUTE::RESOURCE('/storeprice',storeprice::class);
});